Package com.avaya.clientservices.user

## Interface UserAdminEventListener

-     public interface UserAdminEventListener

  TODO: This is a port of the notification of the avaya-ccs-profile events. Interface that can be used to retrieve updates from a User object. One or more listeners can be registered with an instance of the User object to retrieve updates. All of the callback methods defined in UserAdminEventListener interface identify the user the callback is associated with, using the 'user' argument.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onConfigurationReloadRequested​(User user, UserAdminChangeType type)` | Occurs when a server is requesting reload of the configuration profile.
    `void` | `onRebootRequested​(User user)` | Occurs when a server is requesting reboot.
    `void` | `onSignalingServerGroupReceived​(User user, SignalingServerGroup serverGroup)` | Occurs when a registration response has alternate call server list.

- - ### Method Detail

    - #### onRebootRequested

          void onRebootRequested​(User user)

      Occurs when a server is requesting reboot.
      Parameters:
        `user` - user that the callback is associated with.

    - #### onConfigurationReloadRequested

          void onConfigurationReloadRequested​(User user,
                                              UserAdminChangeType type)

      Occurs when a server is requesting reload of the configuration profile.
      Parameters:
        `user` - user that the callback is associated with.
        `type` - is used to indicate what type of data should be reloaded.

    - #### onSignalingServerGroupReceived

          void onSignalingServerGroupReceived​(User user,
                                              SignalingServerGroup serverGroup)

      Occurs when a registration response has alternate call server list. Client application should persist the signaling server group and include them in subsequent registrations
      Parameters:
        `user` - user that the callback is associated with.
        `serverGroup` - Complete list of servers